<?php

namespace Modules\Admin\ActivityDomains;

use \App\Mvc\View\Utils\Types\ListingColumn;
use \App\Mvc\View\Utils\Types\ListingColumns;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	/**
	 * Results per page list
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::$resultsPerPageList
	 */
	protected $resultsPerPageList = [5, 10, 15, 20, 25, 50, 100];

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{

		return ListingColumns::create()
			->append(
				ListingColumn::create('name')
					->setSortable('ASC')
			)
			->append(
				ListingColumn::create('idCategory')

			)
			->append(
				ListingColumn::create('idAddUser')
					->setWidth(20)->setType('userLabel')
			)
			->append(
				ListingColumn::create('addTime')
					->setWidth(10)->setSortable('DESC')->setType('datetime')
			)

		->loadLabels($this->lang['index']['listCols'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}

}
